Package org.eclipse.emf.cdo.server.db.mapping

# Interface IFeatureMapping

All Known Subinterfaces:
  `IListMapping`, `IListMapping2`, `IListMapping3`, `IListMappingUnitSupport`, `ITypeMapping`

All Known Implementing Classes:
  `AbstractTypeMapping`, `DelegatingTypeMapping`

public interface IFeatureMapping
Mapping of `feature` values to and from the database.

There are only two kinds of feature mappings:

- `Type mappings` for single-valued features
- `List mappings` for many-valued features

Since:
  4.14
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.net4j.db.DBType`
`getDBType()`
`EStructuralFeature`
`getFeature()`
`org.eclipse.net4j.db.ddl.IDBField`
`getField()`
`ITypeMapping`
`getTypeMapping()`

## Method Details

### getFeature

EStructuralFeature getFeature()

Returns:
  The feature which is associated with this feature mapping.

### getTypeMapping

ITypeMapping getTypeMapping()

Returns:
  The type mapping which is used for this feature mapping.

### getField

org.eclipse.net4j.db.ddl.IDBField getField()

Returns:
  The value field which is associated with this feature mapping.

### getDBType

org.eclipse.net4j.db.DBType getDBType()

Returns:
  The value type which is associated with this feature mapping.